# BGT60 Radar Arduino Library

Arduino library of Infineon's **Infineon's 60 GHz Radar shield**, base on the **BGT60LTR11AiP** radar integrated circuit.

### Supported Sensor Boards
<table>
    <tr>
        <td align="center"><img src="https://github.com/Infineon/radar-bgt60/wiki/img/bgt60-without-background.png" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/radar-bgt60/wiki/Hardware-Platforms#radar-bgt60-pinout">BGT60LTR11AIP Shield for Arduino</a></td>
    </tr>
</table>

### Supported Hardware Platforms

The library should be supported by any Arduino platform based on the reference Arduino cores. 

Check in this [link](https://github.com/Infineon/radar-bgt60/wiki/Hardware-Platforms) the already verified (at least successfully built) platforms, and find out which boards are under CI build check [here](https://github.com/Infineon/arduino-radar-bgt60/blob/master/.github/workflows/build-check.yml).

### Getting Started

Find a getting started tutorial based on the Infineon's 60 GHz Radar shield and the Arduino MKR1000 eval kit [here](https://github.com/Infineon/radar-bgt60/wiki/Ino-Getting-Started).

### More information

The complete relevant Arduino documentation (and more) can be found in the base XFP library [Wiki](https://github.com/infineon/radar-bgt60/wiki/Home):

* <a href="https://github.com/Infineon/radar-bgt60/wiki/Ino-Library-Installation"> Arduino Lib Installation</a><br> 
* <a href="https://github.com/Infineon/radar-bgt60/wiki/Examples">Arduino Examples</a><br>
* <a href="https://github.com/Infineon/radar-bgt60/wiki/Arduino-API">Arduino API</a><br>
* <a href="https://github.com/Infineon/radar-bgt60/wiki/PlatformIO">PlatformIO</a><br>

### Contributing

This is a release repository for the Arduino framework. The code basis is maintained and developed in the BGT60 Radar Cross-Framework-Platform (XFP) library [repository](https://github.com/infineon/radar-bgt60). 
  
### License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
